/*
 * $Id: IRemoteTestManager.java,v 1.2 2005/06/07 13:06:16 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Jan 7, 2005 1:12:02 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.server;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * COMMENTME Comment type IDDRemoteTestManager
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public interface IRemoteTestManager extends Remote {
	
	public final static String SERVICE_NAME = IRemoteTestManager.class	.getName();
	
	public IRemoteTestRunner getTestRunner(boolean debugMode) throws RemoteException;

	public void shutDown() throws RemoteException;
	
	public boolean hasRunningTests() throws RemoteException;
	
}
