package org.deltadebugging.addressbook;

public class Country {

	private final String fName;
	
	public Country(String name) {
		this.fName = name;
	}
	
	public final static Country USA = new Country("USA");
	
	public final static Country GERMANY = new Country("Germany");
	
	public final static Country FRANCE = new Country("France");
	
	public final static Country ENGLAND = new Country("England");
	
	public final static Country SWISS = new Country("Swiss");

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return this.fName;
	}			
}
