/*
 * $Id: UpdateReferenceTest.java,v 1.2 2005/09/28 13:15:49 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 25.04.2005 08:35:33 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.delta.graphedge.update;

import junit.framework.Assert;
import junit.framework.TestCase;

public class UpdateReferenceTest extends TestCase {

	private Object a = new Object();

	private Object b = null;

	private Object c = new Object();

	public void testPassingRun() {
		b = a;
		Assert.assertEquals(a, b);
	}

	public void testFailingRun() {
		b = c;
		Assert.assertEquals(a, b);
	}

}