/*
 * $Id: IDeltaComparable.java,v 1.2 2005/11/24 08:31:18 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 14.12.2004 15:01:42 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.comparator.delta;

/**
 * COMMENTME Comment type IDeltaComparator
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public interface IDeltaComparable {

    // COMMENTME maskAs();
    public void maskAs(byte mask);

    // COMMENTME getDifferenceMask
    public int getDifferenceMask();

    // COMMENTME isGraphElementMaskedAs
    public boolean isMaskedAs(byte mask);

}

