/*
 * $Id: ITypeNode.java,v 1.1 2005/11/14 10:59:58 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 27.09.2004 09:46:00 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.type;

import org.deltadebugging.ddstate.memorygraph.IGraphNode;
import org.eclipse.jdt.debug.core.IJavaType;

/**
 * COMMENTME Comment type ITypeNode
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface ITypeNode extends IGraphNode {

    /**
     * @return the type of the graph node.
     */
    public IJavaType getType();

    /**
     * @return the type name of the graph node.
     */
    public String getTypeName();

}