package org.softevo.sibrelib;

/**
 * <p>Title: Bytecode instrumentation</p>
 * <p>Description: Tracing framework for java bytecode</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: Universitt Saarbrcken</p>
 * @author Valentin Dallmeier
 * @version 1.0
 */
/**
 * A special exception class for errors that occur during instrumentation. <BR>
 */
public class InstrumentationException extends Exception {

	private static final long serialVersionUID = 1980961439502293486L;

	/**
	 * Create a new exception. <BR>
	 * 
	 * @param message
	 *            the exception message
	 */
	public InstrumentationException(String message) {
		super(message);
	}

}
