/*
 * $Id: IMatchPointFinder.java,v 1.3 2005/09/13 11:23:54 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Jul 20, 2005 2:34:03 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.matcher;

import org.deltadebugging.ddstate.launcher.ddrun.IDDLaunchDescription;
import org.deltadebugging.ddstate.launcher.matcher.exception.MatchPointComputationException;
import org.eclipse.core.runtime.IProgressMonitor;

/**
 * COMMENTME Comment type IMatchPointFinder
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IMatchPointFinder {

    public IMatchPoint[] computeMatchPoints(IDDLaunchDescription ddLaunchDesc,           
            IProgressMonitor monitor) throws MatchPointComputationException;

}
