/*
 * $Id: GenerateTraceException.java,v 1.2 2005/09/13 11:19:13 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 21.07.2005 08:01:46 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.server;

/**
 * This method will be thrown if the computation of the method trace fails.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class GenerateTraceException extends Exception {

	private static final long serialVersionUID = -5026553933001458827L;

	/**
     *  
     */
    public GenerateTraceException() {
        super();
    }

    /**
     * @param message
     */
    public GenerateTraceException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public GenerateTraceException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public GenerateTraceException(String message, Throwable cause) {
        super(message, cause);
    }

}
