package org.deltadebugging.addressbook.test;

import junit.framework.Assert;
import junit.framework.TestCase;

import org.deltadebugging.addressbook.Address;
import org.deltadebugging.addressbook.AddressBook;
import org.deltadebugging.addressbook.Country;
import org.deltadebugging.addressbook.Person;

public class SearchTest extends TestCase {

	public void testSearchPerson() {
		Person janeMiller = new Person("Jane", "Miller");
		Address addJaneMiller = new Address(janeMiller, "First Avenue 4",
				"98366", "Washington", Country.USA);

		AddressBook.addAddress(addJaneMiller);
		
		Assert.assertNotNull(AddressBook.searchAddresses(janeMiller));
	}
	
	public void testSearchNewPerson() {
		Person janeMiller = new Person("Jane", "Miller");
		Address addJaneMiller = new Address(janeMiller, "First Avenue 4",
				"98366", "Washington", Country.USA);

		AddressBook.addAddress(addJaneMiller);
		
		Person searchPerson = new Person("Jane", "Miller");
		
		Assert.assertNotNull(AddressBook.searchAddresses(searchPerson));
	}

}
