package org.deltadebugging.ddstate.testsuite.delta.arrayreference.primitive;

import junit.framework.Assert;
import junit.framework.TestCase;

public class ChangeSizeAndObjectReference extends TestCase {
	public void testPass() {
		int[] a = { 3, 2, 1 };
		int[] b = a;
		int[] c = null;
		Assert.assertEquals(5, a[0] + a[1]);
		Assert.assertNotNull(b);
		Assert.assertNull(c);
	}

	public void testFail() {
		int[] a = { 2, 5, 3, 9, 12 };
		int[] b = null;
		int[] c = a;
		Assert.assertEquals(5, a[0] + a[1]);
		Assert.assertNotNull(b);
		Assert.assertNull(c);
	}
}
