/*
 * $Id: ArrayTwoReferenceTest.java,v 1.2 2005/09/28 13:15:48 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 04.05.2005 19:24:10 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.delta.newobject.array;

import junit.framework.Assert;
import junit.framework.TestCase;

public class ArrayTwoReferenceTest extends TestCase {
	
    public void testPassingRun() {
        String[] firstReference = null;
        String[] secondReference = null;
        Assert.assertNull(secondReference);
    }

    public void testFailingRun() {
        Object firstReference = new String[] { "Peter", "Selma", "Fritz" };
        Object secondReference = firstReference;
        Assert.assertNull(secondReference);
    }
}
