/*
 * $Id: GraphNodeDifferentFilter.java,v 1.1 2005/03/24 08:05:32 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Sep 29, 2004 6:11:15 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.filter.nodefilter;

import org.deltadebugging.ddstate.memorygraph.IGraphNode;

/**
 * COMMENTME Comment type GraphNodeDifferentFilter
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class GraphNodeDifferentFilter extends AbstractGraphNodeFilter {

    /*
     * (non-Javadoc)
     * 
     * @see org.deltadebugging.ddstate.memorygraph.filter.IGraphNodeFilter#unfoldGraphNode(org.deltadebugging.ddstate.memorygraph.IGraphNode)
     */
    public boolean filterGraphNode(IGraphNode graphNode) {
        return !graphNode.isDiffVisualizerFlagSet();
    }

}